# Missing Components

The OME is also treated as a UDP server that maintains connections to the Tickerplant (not implemented yet).

Here, we have implemented Order Entry and Order Cancel.

config.toml files for gateway auto generated based on the graph connections and market participants
market participants + graph connections ==> config.toml for each GW/TP/OME

add config.toml parsing for OME

moving ./main to ./tcp_client in order matching engine

condition wait on each OME thread instead of while true

mutex lock on OrderBook?
